module CLK_DIV(CLK,RST,CEO);
	input CLK;
   input RST;
   output CEO;
	reg    CEO;
	reg [24:0] CNT;

	parameter MAX_CNT = 25'd18432000;

	always @( posedge CLK ) begin
	 	if( RST ) begin
			CNT <= 0;
			CEO <= 1;
		end
		else if( CNT == MAX_CNT - 1'b1 ) begin
			CNT <= 0;
			CEO <= 1;
		end
		else begin
			CNT <= CNT + 1'b1;
			CEO <= 0;
		end
	end

endmodule
